xmlsignature::ContentReference Class Referenceabstract

Interface for creating signature references based on application requirements. More...

`#include <xmltooling/signature/ContentReference.h>`

## Public Member Functions

virtual void | createReferences (DSIGSignature *sig)=0
| Given a native signature, asks the object to create the reference(s).

## Protected Member Functions

| ContentReference ()
| Default constructor.

## Detailed Description

Interface for creating signature references based on application requirements.

## Member Function Documentation

## createReferences()

virtual void xmlsignature::ContentReference::createReferences | ( | DSIGSignature * | sig | ) |

pure virtual

Given a native signature, asks the object to create the reference(s).

Parameters

  sig | native signature interface

The documentation for this class was generated from the following file:

- xmltooling/signature/ContentReference.h